// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/include/hpdi32_dsl.h $
// $Rev: 51578 $
// $Date: 2022-10-04 17:51:06 -0500 (Tue, 04 Oct 2022) $

// HPDI32: Document Source Library: header file

#ifndef	__HPDI32_DSL_H__
#define	__HPDI32_DSL_H__

#include <stdlib.h>

#include "hpdi32_api.h"



// prototypes *****************************************************************

int	hpdi32_close_dsl(int fd);
int	hpdi32_init_dsl	(void);
int	hpdi32_ioctl_dsl(int fd, int request, void *arg);
int	hpdi32_open_dsl	(int device, int share, int* fd);
int	hpdi32_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	hpdi32_write_dsl(int fd, const void* src, size_t bytes, size_t* qty);



#endif
