// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/samples/b2btest/perform.c $
// $Rev: 52312 $
// $Date: 2022-12-20 15:46:00 -0600 (Tue, 20 Dec 2022) $

// HPDI32: Sample Application: source file

#include "main.h"



//*****************************************************************************
static int _b2b_test(const args_t* args, int tx, int rx)
{
	char	buf[64];
	int		errs	= 0;

	sprintf(buf, "Cable Tests #%d -> #%d", (int) args->index[tx], (int) args->index[rx]);
	gsc_label(buf);
	printf("\n");
	gsc_label_level_inc();

	errs	+= cable_clock_test		(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_0_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_1_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_2_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_3_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_4_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_5_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_command_6_test	(args->fd[tx], args->fd[rx]);
	errs	+= cable_data_test		(args->fd[tx], args->fd[rx]);

	gsc_label_level_dec();
	return(errs);
}



//*****************************************************************************
int perform_tests(const args_t* args)
{
	int	errs	= 0;

	errs	+= _b2b_test(args, 0, 1);
	errs	+= _b2b_test(args, 1, 0);

	return(errs);
}


