// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/samples/irq/tx_enabled.c $
// $Rev: 46439 $
// $Date: 2019-09-09 18:14:24 -0500 (Mon, 09 Sep 2019) $

// HPDI32: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _irq_check_support(int fd)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int	errs	= 0;

	errs	+= hpdi32_initialize	(fd, -1, 0);
	errs	+= hpdi32_tristate_te_re(fd, -1, 0, HPDI32_TRISTATE_TE_RE_NO,	NULL);
	errs	+= hpdi32_irq_enable	(fd, -1, 0, HPDI32_IRQ_CC5_TE_GPIO4,	NULL);
	errs	+= hpdi32_tx_enable		(fd, -1, 0, HPDI32_TX_ENABLE_YES,		NULL);

	return(errs);
}



//*****************************************************************************
int tx_enabled_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support(fd);
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


