// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/samples/xfer/rx_fifo_reset.c $
// $Rev: 43022 $
// $Date: 2018-06-22 17:36:23 -0500 (Fri, 22 Jun 2018) $

// HPDI32: Sample Application: source file

#include "main.h"



// prototypes *****************************************************************

static int _callback(int fd, line_data_t* line_data);



// variables ******************************************************************

const command_entry_t		cmd_rx_fifo_reset	=
{
	/* cmd		*/	"rx_fifo_reset",
	/* desc		*/	"Reset the Rx FIFO.",
	/* function	*/	_callback,
	/* arg_qty	*/	0,
	/* arg_list	*/	NULL
};



//*****************************************************************************
static int _callback(int fd, line_data_t* line_data)
{
	int	errs	= 0;
	int	ret;

	if (line_data)
	{
		errs	= config_arg_qty_none_verify(line_data);	// "cmd" or "cmd ="

		if (errs == 0)
		{
			ret		= hpdi32_ioctl(fd, HPDI32_IOCTL_RX_FIFO_RESET, 0);
			errs	+= ret ? 1 : 0;
		}

		if (errs == 0)
			config_display_verbose(fd, line_data, &cmd_initialize, 0);
	}
	else
	{
		// Print the current value.
		// No current value to print.
	}

	return(errs);
}


