// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/samples/b2btest/main.h $
// $Rev: 53385 $
// $Date: 2023-07-12 11:15:35 -0500 (Wed, 12 Jul 2023) $

// HPDI32: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <time.h>

#include "hpdi32_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;		// > 0 = ignore errors, < 0 = stop on errors
	s32	index[2];		// device indexes
	s32	minute_limit;	// for continuous testing
	int	qty;			// Number of devices detected.
	s32	test_limit;		// for continuous testing

	int	fd[2];			// File descriptor for devices to access.

	// Device Settings

} args_t;



// prototypes *****************************************************************

int	cable_clock_test		(int fd_tx, int fd_rx);
int	cable_command_0_test	(int fd_tx, int fd_rx);
int	cable_command_1_test	(int fd_tx, int fd_rx);
int	cable_command_2_test	(int fd_tx, int fd_rx);
int	cable_command_3_test	(int fd_tx, int fd_rx);
int	cable_command_4_test	(int fd_tx, int fd_rx);
int	cable_command_5_test	(int fd_tx, int fd_rx);
int	cable_command_6_test	(int fd_tx, int fd_rx);
int	cable_data_test			(int fd_tx, int fd_rx);

int	perform_tests(const args_t* args);



#endif
