// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/samples/irq/main_gsc.c $
// $Rev: 46439 $
// $Date: 2019-09-09 18:14:24 -0500 (Mon, 09 Sep 2019) $

// HPDI32: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _irq_check_support(int fd)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int		errs	= 0;
	long	i;

	// Generate a PCI interrupt: Tx FIFO Almost Empty
	errs	+= hpdi32_initialize(fd, -1, 0);
	errs	+= hpdi32_irq_enable(fd, -1, 0, HPDI32_IRQ_TX_FIFO_EMPTY, NULL);

	for (i = 0; i <= 50; i++)
		errs	+= hpdi32_reg_write	(fd, -1, 0, HPDI32_GSC_FDR, 0);

	errs	+= hpdi32_tx_fifo_reset	(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
int main_gsc_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support(fd);
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


