// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/samples/xfer/reg.c $
// $Rev: 43022 $
// $Date: 2018-06-22 17:36:23 -0500 (Fri, 22 Jun 2018) $

// HPDI32: Sample Application: source file

#include "main.h"



// variables ******************************************************************

const arg_type_str_s32_t	firmware_arg_set[21]	=
{
	// name		value				desc
	{ "frr",	HPDI32_GSC_FRR,		"Firmware Revision Register"				},
	{ "bcr",	HPDI32_GSC_BCR,		"Board Control Register"					},
	{ "bsr",	HPDI32_GSC_BSR,		"Board Status Register"						},
	{ "tar",	HPDI32_GSC_TAR,		"Tx Almost Register"						},
	{ "rar",	HPDI32_GSC_RAR,		"Rx Almost Register"						},
	{ "fsr",	HPDI32_GSC_FSR,		"Feature Set Register"						},
	{ "fdr",	HPDI32_GSC_FDR,		"FIFO Data Register"						},
	{ "tsvlcr",	HPDI32_GSC_TSVLCR,	"Tx Status Valid Length Counter Register"	},
	{ "tlvlcr",	HPDI32_GSC_TLVLCR,	"Tx Line Valid Length Counter Register"		},
	{ "tlilcr",	HPDI32_GSC_TLILCR,	"Tx Line Invalid Length Counter Register"	},
	{ "rscr",	HPDI32_GSC_RSCR,	"Rx Status Count Register"					},
	{ "rlcr",	HPDI32_GSC_RLCR,	"Rx Line Count Register"					},
	{ "icr",	HPDI32_GSC_ICR,		"Interrupt Control Register"				},
	{ "isr",	HPDI32_GSC_ISR,		"Interrupt Status Register"					},
	{ "tcdr",	HPDI32_GSC_TCDR,	"Tx CLock Divider Register"					},
	{ "tfsr",	HPDI32_GSC_TFSR,	"Tx FIFO Size Register"						},
	{ "rfsr",	HPDI32_GSC_RFSR,	"Rx FIFO Size Register"						},
	{ "tfwr",	HPDI32_GSC_TFWR,	"Tx FIFO Words Register"					},
	{ "rfwr",	HPDI32_GSC_RFWR,	"Rx FIFO Words Register"					},
	{ "ielr",	HPDI32_GSC_IELR,	"Interrupt Edge/Level Register"				},
	{ "ihlr",	HPDI32_GSC_IHLR,	"Interrupt High/Low Register"				},
};


