// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/utils/util_api_listing.c $
// $Rev: 49213 $
// $Date: 2021-03-15 16:42:01 -0500 (Mon, 15 Mar 2021) $

// HPDI32: Utilities: source file

#include "main.h"



//*****************************************************************************
static int _ioctl_settings(int fd)
{
	int			errs	= 0;
	gsc_wait_t	wait;

	errs	+= hpdi32_cable_cmd_mode_0		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_0
	errs	+= hpdi32_cable_cmd_mode_1		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_1
	errs	+= hpdi32_cable_cmd_mode_2		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_2
	errs	+= hpdi32_cable_cmd_mode_3		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_3
	errs	+= hpdi32_cable_cmd_mode_4		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_4
	errs	+= hpdi32_cable_cmd_mode_5		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_5
	errs	+= hpdi32_cable_cmd_mode_6		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_CABLE_CMD_MODE_6
	errs	+= hpdi32_cable_cmd_state_0		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_0
	errs	+= hpdi32_cable_cmd_state_1		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_1
	errs	+= hpdi32_cable_cmd_state_2		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_2
	errs	+= hpdi32_cable_cmd_state_3		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_3
	errs	+= hpdi32_cable_cmd_state_4		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_4
	errs	+= hpdi32_cable_cmd_state_5		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_5
	errs	+= hpdi32_cable_cmd_state_6		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_CABLE_CMD_STATE_6

	errs	+= hpdi32_gpio_d32_output		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_GPIO_D32_OUTPUT

	errs	+= hpdi32_irq_config_edge		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_IRQ_CONFIG_EDGE
	errs	+= hpdi32_irq_config_high		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_IRQ_CONFIG_HIGH
	errs	+= hpdi32_irq_enable			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_IRQ_ENABLE

	errs	+= hpdi32_rx_auto_start			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_AUTO_START
	errs	+= hpdi32_rx_enable				(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_ENABLE
	errs	+= hpdi32_rx_fifo_ae			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_FIFO_AE
	errs	+= hpdi32_rx_fifo_af			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_FIFO_AF
	errs	+= hpdi32_rx_fifo_overrun		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_FIFO_OVERRUN
	errs	+= hpdi32_rx_fifo_status		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_RX_FIFO_STATUS
	errs	+= hpdi32_rx_fifo_underrun		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_FIFO_UNDERRUN
	errs	+= hpdi32_rx_io_bmdma_thresh	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_BMDMA_THRESH
	errs	+= hpdi32_rx_io_data_size		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_DATA_SIZE
	errs	+= hpdi32_rx_io_mode			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_MODE
	errs	+= hpdi32_rx_io_overrun			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_OVERRUN
	errs	+= hpdi32_rx_io_pio_threshold	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_PIO_THRESHOLD
	errs	+= hpdi32_rx_io_timeout			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_TIMEOUT
	errs	+= hpdi32_rx_io_underrun		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_RX_IO_UNDERRUN
	errs	+= hpdi32_rx_line_count			(fd, -1, 1,		NULL);	// HPDI32_IOCTL_RX_LINE_COUNT
	errs	+= hpdi32_rx_status_count		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_RX_STATUS_COUNT

	errs	+= hpdi32_tristate_te_re		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TRISTATE_TE_RE
	errs	+= hpdi32_tx_auto_start			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_AUTO_START
	errs	+= hpdi32_tx_auto_stop			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_AUTO_STOP
	errs	+= hpdi32_tx_clock_divider		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_CLOCK_DIVIDER
	errs	+= hpdi32_tx_enable				(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_ENABLE
	errs	+= hpdi32_tx_fifo_ae			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_FIFO_AE
	errs	+= hpdi32_tx_fifo_af			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_FIFO_AF
	errs	+= hpdi32_tx_fifo_overrun		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_FIFO_OVERRUN
	errs	+= hpdi32_tx_fifo_status		(fd, -1, 1,		NULL);	// HPDI32_IOCTL_TX_FIFO_STATUS
	errs	+= hpdi32_tx_flow_control		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_FLOW_CONTROL
	errs	+= hpdi32_tx_io_bmdma_thresh	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_IO_BMDMA_THRESH
	errs	+= hpdi32_tx_io_data_size		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_IO_DATA_SIZE
	errs	+= hpdi32_tx_io_mode			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_IO_MODE
	errs	+= hpdi32_tx_io_overrun			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_IO_OVERRUN
	errs	+= hpdi32_tx_io_pio_threshold	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_IO_PIO_THRESHOLD
	errs	+= hpdi32_tx_io_timeout			(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_IO_TIMEOUT
	errs	+= hpdi32_tx_line_val_off_cnt	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_LINE_VAL_OFF_CNT
	errs	+= hpdi32_tx_line_val_on_cnt	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_LINE_VAL_ON_CNT
	errs	+= hpdi32_tx_remote_throttle	(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_REMOTE_THROTTLE
	errs	+= hpdi32_tx_status_val_cnt		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_STATUS_VAL_CNT
	errs	+= hpdi32_tx_status_val_mir		(fd, -1, 1, -1, NULL);	// HPDI32_IOCTL_TX_STATUS_VAL_MIR

	errs	+= hpdi32_user_jumpers			(fd, -1, 1,		NULL);	// HPDI32_IOCTL_USER_JUMPERS

	wait.flags		= 0;
	wait.main		= GSC_WAIT_MAIN_ALL;
	wait.gsc		= HPDI32_WAIT_GSC_ALL;
	wait.alt		= 0;
	wait.io			= HPDI32_WAIT_IO_ALL;
	wait.timeout_ms	= 0;
	wait.count		= 0;

	errs	+= hpdi32_wait_status			(fd, -1, 1, &wait);				// HPDI32_IOCTL_WAIT_STATUS

	return(errs);
}



//*****************************************************************************
int hpdi32_api_listing(int fd)
{
	int	errs	= 0;

	printf("\n");
	printf("==== API LISTING: BEGIN =============================================\n");
	printf("\n");

	errs	+= _ioctl_settings(fd);
	printf("\n");
	errs	+= hpdi32_reg_list(fd, 1);

	printf("\n");
	printf("==== API LISTING: END ===============================================\n");
	printf("\n");
	return(errs);
}



