// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_2.x.x.x_GSC_DN/utils/util_count.c $
// $Rev: 51575 $
// $Date: 2022-10-04 17:47:45 -0500 (Tue, 04 Oct 2022) $

// HPDI32: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	hpdi32_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely.
*
*		get		The results are reported here. This may be NULL.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int hpdi32_count_boards(int verbose, s32* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, hpdi32_open, hpdi32_read, hpdi32_close);

	return(errs);
}



